#!/usr/bin/python3.10
# -*-coding:Utf-8 -*

#==============================================================================
# TENET: Composition Transduction Scheme for UNL analysis
#------------------------------------------------------------------------------
# Composition Transduction Scheme (CTS) using CTR (rules) for analysis of UNL 
# structure.
#==============================================================================

#==============================================================================
# Extraction Plan
#==============================================================================

scheme = []


# ---------------------------------------------
# Preprocessing
# ---------------------------------------------

step_ref = 'preprocessing'
m_dir = 'unl_rule/'
m_ref = 'unl_ctr_data_preprocessing'

ctr_ref_list = []
ctr_ref_list.append((m_dir, m_ref, 'bypass_reification'))
ctr_ref_list.append((m_dir, m_ref, 'link_scope_entry'))
ctr_ref_list.append((m_dir, m_ref, 'define_uw_id'))

scheme.append((step_ref, ctr_ref_list))


# ---------------------------------------------
# Net Expansion
# ---------------------------------------------

step_ref = 'net-expansion'
m_dir = 'unl_rule/'
m_ref = 'unl_ctr_net_expansion'

ctr_ref_list = []
ctr_ref_list.append((m_dir, m_ref, 'create-atom-net'))
ctr_ref_list.append((m_dir, m_ref, 'instantiate-atom-net'))
ctr_ref_list.append((m_dir, m_ref, 'create-unary-atom-list-net'))
ctr_ref_list.append((m_dir, m_ref, 'init-conjunctive-atom-list-net'))
ctr_ref_list.append((m_dir, m_ref, 'init-disjunctive-atom-list-net'))
ctr_ref_list.append((m_dir, m_ref, 'extend-atom-list-net'))
ctr_ref_list.append((m_dir, m_ref, 'specify-axis-of-atom-list-net'))
ctr_ref_list.append((m_dir, m_ref, 'compose-atom-with-list-by-mod-1'))
ctr_ref_list.append((m_dir, m_ref, 'compose-atom-with-list-by-mod-2'))
ctr_ref_list.append((m_dir, m_ref, 'instantiate-composite-in-list-by-extension-1'))
ctr_ref_list.append((m_dir, m_ref, 'instantiate-composite-in-list-by-extension-2'))
ctr_ref_list.append((m_dir, m_ref, 'create-relation-net'))
ctr_ref_list.append((m_dir, m_ref, 'append-domain-to-relation-net'))
ctr_ref_list.append((m_dir, m_ref, 'append-range-to-relation-net'))
ctr_ref_list.append((m_dir, m_ref, 'compute-class-uri-of-net-object'))
ctr_ref_list.append((m_dir, m_ref, 'compute-instance-uri-of-net-object'))
ctr_ref_list.append((m_dir, m_ref, 'compute-property-uri-of-relation-object'))

scheme.append((step_ref, ctr_ref_list))


# ---------------------------------------------
# OWL Generation
# ---------------------------------------------

step_ref = 'owl-generation'
m_dir = 'unl_rule/'
m_ref = 'unl_ctr_owl_generation'

ctr_ref_list = []
ctr_ref_list.append((m_dir, m_ref, 'generate-atom-class'))
ctr_ref_list.append((m_dir, m_ref, 'generate-atom-instance'))
ctr_ref_list.append((m_dir, m_ref, 'generate-composite-class-from-list-net'))
ctr_ref_list.append((m_dir, m_ref, 'complement-composite-class'))
ctr_ref_list.append((m_dir, m_ref, 'add-conjunctive-classes-from-list-net'))
ctr_ref_list.append((m_dir, m_ref, 'add-disjunctive-classes-from-list-net'))
ctr_ref_list.append((m_dir, m_ref, 'generate-event-class'))
ctr_ref_list.append((m_dir, m_ref, 'generate-relation-property'))
ctr_ref_list.append((m_dir, m_ref, 'compute-domain-of-relation-property'))
ctr_ref_list.append((m_dir, m_ref, 'compute-range-of-relation-property'))
ctr_ref_list.append((m_dir, m_ref, 'link-instances-by-relation-property'))

scheme.append((step_ref, ctr_ref_list))