#!/usr/bin/python3.10
# -*-coding:Utf-8 -*

#==============================================================================
# TENET: *** UNL CTR for DEV tests ***
#------------------------------------------------------------------------------
# Module grouping compositional transduction rules (CTR) for the analysis of 
# UNL structures, for development tests
#==============================================================================

#==============================================================================
# Prefix using in CTR
#==============================================================================

prefix = """
PREFIX owl: <http://www.w3.org/2002/07/owl#>
PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>
PREFIX xsd: <http://www.w3.org/2001/XMLSchema#>
PREFIX unl: <https://unl.tetras-libre.fr/rdf/schema#>
PREFIX net: <https://tenet.tetras-libre.fr/semantic-net#>
PREFIX cprm: <https://tenet.tetras-libre.fr/config/parameters#>
PREFIX req: <https://tenet.tetras-libre.fr/frame/requirement-ontology#>
PREFIX sys: <https://tenet.tetras-libre.fr/system-ontology/>
PREFIX fprm: <https://tenet.tetras-libre.fr/frame/parameters#>
"""


#==============================================================================
# CTR Set (CTR as Sparql querries)
#==============================================================================

rule = {}


# ---------------------------------------------
# Test Scheme
# ---------------------------------------------

rule['1'] = {
    'label': "Test Scheme 1",
    'comment': "Simple query for dev test",
    'order': 0.00,
    'query': """    
    SELECT ?node1 ?unlRel ?node2 
    WHERE {
        ?rel unl:has_source ?node1.
        ?rel unl:has_target ?node2.
        ?rel a ?unlRel.
        }
    """
}