#!/usr/bin/python3.10
# -*-coding:Utf-8 -*

#==============================================================================
# TENET: Atom Class
#------------------------------------------------------------------------------
# Class to handle semantic nets 
#==============================================================================

from transduction.net import ClassNet
from transduction.rdfterm_computer import produce_uriref, produce_literal


#==============================================================================
# Net Class
#==============================================================================

class AtomClassNet(ClassNet):
    """ Class to handle semantic net.
    """
    
    #--------------------------------------------------------------------------
    # Constructor(s)
    #--------------------------------------------------------------------------
           
    def __init__(self, support_graph, uri=None):

        # -- Parent init
        super().__init__(support_graph, uri)
        
        # -- Net Type
        self.type_name = 'atomClass'
        self.type_id = 'Atom_Class_Net'
        self.type_uri = produce_uriref(self.support_graph, f'net:{self.type_id}')