#!/usr/bin/python3.10
# -*-coding:Utf-8 -*

#==============================================================================
# TENET: Extraction Rule Test
#------------------------------------------------------------------------------
# Script to test rules under development
#==============================================================================

import subprocess, os
from rdflib import Graph, Namespace
from rdflib.namespace import NamespaceManager

FILE_PATH = f'{os.path.dirname(os.path.abspath(__file__))}'
INPUT_DIR_PATH = f'{FILE_PATH}/test_data/'
OUTPUT_DIR_PATH = f'{FILE_PATH}/test_data/'

TEST_FILE_NAME = 'devGraph1'
INPUT_GRAPH_PATH = f'{INPUT_DIR_PATH}{TEST_FILE_NAME}.ttl'
OUTPUT_GRAPH_PATH = f'{OUTPUT_DIR_PATH}{TEST_FILE_NAME}.result.ttl'
OUTPUT_GRAPH_URI = f'https://amr.tetras-libre.fr/rdf/{TEST_FILE_NAME}/result'

from context import tenet
from tenet.transduction import prefix_handle



#==============================================================================
# Useful Methods
#==============================================================================

def load_test_graph():
    print(f'\n -- Test Graph Loading')
    graph = Graph()
    graph.parse(INPUT_GRAPH_PATH)
    print(f" ----- Graph Loaded ({len(graph)})")
    return graph


#==============================================================================
# Development Test
#==============================================================================

# None
    

#==============================================================================
# Unit Test
#==============================================================================

def unittest_get_prefix_dict():
    print('\n -- Get Prefix Dict')
    prefix_dict = prefix_handle.get_prefix_dict()
    print(prefix_dict)
  
def unittest_get_prefix_list():
    print('\n -- Get Prefix List')
    prefix_dict = prefix_handle.get_prefix_list()
    print(prefix_dict)      

def unittest_add_prefix_to_graph(graph):
    print('\n -- Add Prefix to Graph')
    prefix_handle.update_graph_namespacemanager(graph)
    for n in graph.namespace_manager.namespaces():
        print(n)
    
    


#==============================================================================
# Test Script
#==============================================================================

if __name__ == '__main__':
      
    print('\n *** Test Preparation ***')
    graph = load_test_graph()
    print('\n \n')
    
    print('\n *** Development Test ***')
    pass
    print('\n \n')
    
    print('\n *** Unit Test ***')
    unittest_get_prefix_dict()
    unittest_get_prefix_list()
    unittest_add_prefix_to_graph(graph)
    print('\n \n')

    print('\n *** - ***')